SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Mozilla Firefox Vendors:   Mozilla.org
(Oracle Issues Fix for Oracle Linux) Mozilla Firefox Multiple Flaws Let Remote Users Execute Arbitrary Code, Spoof the Address Bar, Bypass Security Restrictions, and Deny Service
SecurityTracker Alert ID:  1034836
SecurityTracker URL:  http://securitytracker.com/id/1034836
CVE Reference:   CVE-2016-1930, CVE-2016-1935   (Links to External Site)
Date:  Jan 28 2016
Impact:   Denial of service via network, Execution of arbitrary code via network, Modification of system information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 44.0
Description:   Multiple vulnerabilities were reported in Mozilla Firefox. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can cause denial of service conditions on the target system. A remote user can bypass security controls on the target system. A remote user can spoof URLs.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target user's system [CVE-2016-1930, CVE-2016-1931].

A remote user can create a specially crafted GIF file that, when loaded by the target user, will trigger an integer overflow [CVE-2016-1933].

A remote user can trigger a buffer overflow in BufferSubData() in the rendering of WebGL content [CVE-2016-1935].

A remote user can create a specially crafted cookie name or value containing illegal control characters (per RFC6265). This may result in errors in cookie processing that could have a security impact [CVE-2016-1939].

A remote user can set a vertical tab character in a cookie which may result in cookie injection on some servers [CVE-2015-7208].

A remote user can spoof the address bar [CVE-2016-1940]. Firefox for Android is affected.

When the protocol handler dialog appears, double click events are treated as two single click events, which may cause unintentional user initiated actions [CVE-2016-1937].

The Network Security Services (NSS) mp_div() and mp_exptmod() functions may create incorrect calculations in certain cases, which may cause cryptographic weaknesses [CVE-2016-1938].

The timing between the download 'open file' dialog obtaining focus and the button being enabled was short, allowing clickjacking attacks [CVE-2016-1941].

A remote user can spoof the address bar [CVE-2016-1943]. Firefox for Android is affected.

A remote user can spoof the location bar [CVE-2016-1942].

A remote user can trigger an error in Buffer11::NativeBuffer11::map() [CVE-2016-1944].

A remote user can trigger an error in nsZipArchive() [CVE-2016-1945].

A remote user can trigger an error in MoofParser::Metadata() [CVE-2016-1946].

The browser may be unable to access the Application Reputation service [CVE-2016-1947].

Lightweight themes may be installed over a non-secure connection. A remote user that can conduct a man-in-the-middle attack can modify theme content (e.g., images, toolbar text colors) [CVE-2016-1948]. Firefox for Android is affected.

Bob Clary, Christian Holler, Nils Ohlmeier, Gary Kwong, Jesse Ruderman, Carsten Book, Randell Jesup, Nicolas Pierron, Eric Rescorla, Tyson Smith, Gabor Krizsanits, Randell Jesup, Margaret Leibovic, Gustavo Grieco, Aki Helin, musicDespiteEverything, Nicholas Hurley, Muneaki Nishimura, Francois Marier, Hanno Bock, Jordi Chancel, window, and Ronald Crane reported these vulnerabilities.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can cause denial of service conditions.

A remote user can bypass security controls on the target system.

A remote user can spoof a URL.

Solution:   Oracle has issued a fix for CVE-2016-1930 and CVE-2016-1935.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2016-0071.html

Vendor URL:  linux.oracle.com/errata/ELSA-2016-0071.html (Links to External Site)
Cause:   Access control error, Boundary error, Input validation error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  5, 6, 7

Message History:   This archive entry is a follow-up to the message listed below.
Jan 27 2016 Mozilla Firefox Multiple Flaws Let Remote Users Execute Arbitrary Code, Spoof the Address Bar, Bypass Security Restrictions, and Deny Service



 Source Message Contents

Subject:  [El-errata] ELSA-2016-0071 Critical: Oracle Linux 7 firefox security update

Oracle Linux Security Advisory ELSA-2016-0071

http://linux.oracle.com/errata/ELSA-2016-0071.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
firefox-38.6.0-1.0.1.el7_2.i686.rpm
firefox-38.6.0-1.0.1.el7_2.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/firefox-38.6.0-1.0.1.el7_2.src.rpm



Description of changes:

[38.6.0-1.0.1]
- Add firefox-oracle-default-prefs.js and remove the corresponding Red 
Hat file

[38.6.0-1]
- Update to 38.6.0 ESR


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC